LASERGNU(l)

NAME
lasergnu - send gnuplot output to a printer

SYNOPSIS
lasergnu [ flags ] plot-command...

DESCRIPTION
lasergnu runs gnuplot(1) in an environment to produce typeset output on an IMAGEN or Postscript printer.

The gnuplot commands plot-command are performed and the output sent to the printer. If the -f option specifies a file for input, the plot command is optional. The command-line plot commands are executed prior to any in the file(s).

For example, to plot the function sin(x) from -1 to +1, and to use printer im1, use the command
    lasergnu -Pim1 'plot [-1:1] sin(x) with lines'
To execute the gnuplot command file myplot, on the postscript printer lw0, use the command
    lasergnu -Plw0 -p -f myplot
The following switches are recognized:

-p  Use the postscript language to make the plot, instead of Impress. This is for use on Postscript printers only. This uses a double-size plot in landscape mode as the default.

-P printer
    The output of this program is intended for printer. If the file is being spooled, this determines the printer it is spooled to (default: $LASER). Be sure to use the -p flag if the printer is a postscript printer.

-f file
    Take gnuplot commands from the named file. Multiple files may be supplied with separate -f options.

-t title
    Specify the title of the plot.

-b  Do not print a banner page.

-J  Do not print a banner page.

-help
    Prints a list of options.

SEE ALSO
gnuplot(l), lpr(1)